## net.sf.saxon.om
Interface ValueRepresentation

All Known Subinterfaces:
  DocumentInfo, Item, NodeInfo, SiblingCountingNode, VirtualNode

All Known Implementing Classes:
  AtomicValue, DocumentImpl, DocumentWrapper, DocumentWrapper, DocumentWrapper, NamespaceIterator.NamespaceNodeImpl, NodeImpl, NodeWrapper, NodeWrapper, NodeWrapper, Orphan, StrippedDocument, StrippedNode, TextFragmentValue, TinyDocumentImpl, TinyNodeImpl, UnconstructedDocument, UnconstructedParent, Value, VirtualCopy, VirtualDocumentCopy

public interface ValueRepresentation

A ValueRepresentation is a representation of a Value. This is a marker interface used as to represent the union of two classes: Value, and NodeInfo. Either of these two classes can be used to represent a value. The class is used primarily to represent the value of a variable.

This class is intended primarily for internal use, and should not be considered part of the Saxon public API.

Field Summary
`static ValueRepresentation[]` `EMPTY_VALUE_ARRAY` An empty array of ValueRepresentation objects

Field Detail

### EMPTY_VALUE_ARRAY

    public static final ValueRepresentation[] EMPTY_VALUE_ARRAY

  An empty array of ValueRepresentation objects